vec2 movement = vec2(time, time * 0.00007);

void displaceVertex(io vec3 worldSpaceInput, in float wind, in float wavePower, in bool waveTopCheck) {

	if (waveTopCheck && texCoord.y < mc_midTexCoord.y || !waveTopCheck) {

		vec3 waves = movement.yyy * wavePower;

		vec3 worldPosition = worldSpaceInput + cameraPosition;

		waves.x *= sin(movement.x + dot(worldPosition, vec3(1.0)));
		waves.z *= cos(movement.x - dot(worldPosition, vec3(1.0)));

		worldSpaceInput = waves * wind + worldSpaceInput;

	}
}